<?
# Текстовая онлай игра "Тюряга" for DCMS 6.6.4
# Автор spamerBoy
# Ацка 551 514 865

# подключаем файлы
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

# заголовок
$set['title']='Сводка';

# шапка
include_once '../sys/inc/thead.php';
title();
err();
aut();

# существует сесия - продолжим
if (isset($user)){

# покажем 
echo '<div class="zona_rekl"><img src="img/description_image_sansanych.gif" alt="*" /><br/>
Олень боится загона, а вор боится закона.
</div>';

# странички
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `zona_lenta`  WHERE `to_id` ='".$user['id']."'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];

# пусто
if ($k_post==0)
{
echo '<div class="zona_rekl"> У тебя пока небыло проблем .</div>';
}

# есть
else{

$q=mysql_query("SELECT * FROM `zona_lenta` WHERE `to_id` ='".$user['id']."' ORDER BY `time` DESC LIMIT $start, $set[p_str]");

while ($row = mysql_fetch_assoc($q)){

$ank=get_user($row['id_user']);

echo '<div class="zona_menu">
<img src="img/icon/icon_header_time.png" alt="*" />'.vremja($row['time']).'<br/>
<img src="img/icon/icon_user.png" alt="*" /> <a href="user.php?id='.$ank[id].'">'.htmlspecialchars($ank['nick']).'</a> 
'.htmlspecialchars($row['text']).'
</div>';
}

if ($k_page>1)str('?',$k_page,$page);


if ($k_post>=1)
{
echo '<div class="zona_rekl"><img src="img/icon/icon_a_experience.png" alt="*" /> <a href="delete_svodka.php"> Очистить сводку</a></div>';
}
}
echo '<div class="zona_rekl"><img src="img/icon/icon_a_experience.png" alt="*" /> <a href="index.php"> Вернутся в камеру</a></div>';
}
# закроем от гостей
else{
echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';
}

include_once '../sys/inc/tfoot.php';
?>
